Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shoppingcart
Interface ShoppingCart

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  ShoppingCartImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface ShoppingCart

extends Belonging

The ShoppingCart is used to contain a list of `ShoppingCartLines`. Each `ShoppingCartLine` contains a unique item. If the customer adds a `ProductItem` that is already in the shopping cart, the quantity of the existing `ShoppingCartLine` is increased.

See Also
  `ShoppingCartHome`, `ShoppingCartLine`

Method Summary
`void` | `addItemsFromShoppingCart(ShoppingCart items)` Deprecated See BEA Commerce product offering
`ShoppingCartLine` | `addProductItem(ProductItem item, double quantity)` Deprecated See BEA Commerce product offering
`ShoppingCartLine` | `addProductItem(ProductItem item, double quantity, Money unitMoney)` Deprecated See BEA Commerce product offering
`boolean` | `addShoppingCartLine(ShoppingCartLine element)` Deprecated See BEA Commerce product offering
`boolean` | `addShoppingCartLineCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `clearShoppingCartLineCollection()` Deprecated See BEA Commerce product offering
`boolean` | `containsShoppingCartLine(ShoppingCartLine element)` Deprecated See BEA Commerce product offering
`boolean` | `containsShoppingCartLineCollection(Collection c)` Deprecated See BEA Commerce product offering
`ShoppingCartLine` | `createShoppingCartLine()` Deprecated See BEA Commerce product offering
`boolean` | `equalsShoppingCartLineCollection(Object object)` Deprecated See BEA Commerce product offering
`ShoppingCartLine` | `findShoppingCartLine(String productIdentifier)` Deprecated See BEA Commerce product offering
`double` | `getCategoryQuantity(String categoryId)` Deprecated See BEA Commerce product offering
`double` | `getNumberOfUnits()` Deprecated See BEA Commerce product offering
`ArrayList` | `getOrderDiscountPresentations()` Deprecated See BEA Commerce product offering
`Money` | `getShipping()` Deprecated See BEA Commerce product offering
`ArrayList` | `getShippingDiscountPresentations()` Deprecated See BEA Commerce product offering
`Collection` | `getShoppingCartLineCollection()` Deprecated See BEA Commerce product offering
`Money` | `getSubtotal()` Deprecated See BEA Commerce product offering
`Money` | `getTotal()` Deprecated See BEA Commerce product offering
`Money` | `getTotal(int totalType)` Deprecated See BEA Commerce product offering
`Money` | `getTotalPrice()` Deprecated See BEA Commerce product offering
`boolean` | `isEmpty()` Deprecated See BEA Commerce product offering
`boolean` | `isShoppingCartLineCollectionEmpty()` Deprecated See BEA Commerce product offering
`void` | `removeAllProductItems()` Deprecated See BEA Commerce product offering
`ProductItem` | `removeProductItem(String productIdentifier)` Deprecated See BEA Commerce product offering
`boolean` | `removeShoppingCartLine(ShoppingCartLine element)` Deprecated See BEA Commerce product offering
`boolean` | `removeShoppingCartLineCollection(Collection collection)` Deprecated See BEA Commerce product offering
`boolean` | `retainShoppingCartLineCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setOrderDiscountPresentations(ArrayList discountPresentations)` Deprecated See BEA Commerce product offering
`void` | `setProductItemQuantity(ProductItem item, double quantity)` Deprecated See BEA Commerce product offering
`void` | `setShipping(Money shipping)` Deprecated See BEA Commerce product offering
`void` | `setShippingDiscountPresentations(ArrayList discountPresentations)` Deprecated See BEA Commerce product offering
`void` | `setShoppingCartLineCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setSubtotal(Money subtotal)` Deprecated See BEA Commerce product offering
`void` | `setTotal(Money total)` Deprecated See BEA Commerce product offering
`int` | `shoppingCartLineCollectionHashCode()` Deprecated See BEA Commerce product offering
`Iterator` | `shoppingCartLineCollectionIterator()` Deprecated See BEA Commerce product offering
`int` | `shoppingCartLineCollectionSize()` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getTotal

    Money getTotal()

  Deprecated See BEA Commerce product offering

  Get the value of total

  Returns
    total.

### setTotal

    void setTotal(Money total)

  Deprecated See BEA Commerce product offering

  Set the value of total

  Parameters
    `subtotal` - total to be set

### getSubtotal

    Money getSubtotal()

  Deprecated See BEA Commerce product offering

  Get the value of Subtotal

  Returns
    Subtotal.

### setSubtotal

    void setSubtotal(Money subtotal)

  Deprecated See BEA Commerce product offering

  Set the value of subtotal

  Parameters
    `subtotal` - subtotal to be set

### getShipping

    Money getShipping()

  Deprecated See BEA Commerce product offering

  Get the value of shipping

  Returns
    shipping.

### setShipping

    void setShipping(Money shipping)

  Deprecated See BEA Commerce product offering

  Set the value of shipping

  Parameters
    `shipping` - shipping to be set

### getShoppingCartLineCollection

    Collection getShoppingCartLineCollection()

  Deprecated See BEA Commerce product offering

  Returns the entire collection

### setShoppingCartLineCollection

    void setShoppingCartLineCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Sets the entire collection

### addShoppingCartLine

    boolean addShoppingCartLine(ShoppingCartLine element)

  Deprecated See BEA Commerce product offering

  Ensures that this collection contains the specified element (optional operation).

### addShoppingCartLineCollection

    boolean addShoppingCartLineCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Adds all of the elements in the specified collection to this collection (optional operation).

### clearShoppingCartLineCollection

    void clearShoppingCartLineCollection()

  Deprecated See BEA Commerce product offering

  Removes all of the elements from this collection (optional operation).

### containsShoppingCartLine

    boolean containsShoppingCartLine(ShoppingCartLine element)

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains the specified element.

### containsShoppingCartLineCollection

    boolean containsShoppingCartLineCollection(Collection c)

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains all of the elements in the specified collection.

### equalsShoppingCartLineCollection

    boolean equalsShoppingCartLineCollection(Object object)

  Deprecated See BEA Commerce product offering

  Compares the specified object with this collection for equality.

### shoppingCartLineCollectionHashCode

    int shoppingCartLineCollectionHashCode()

  Deprecated See BEA Commerce product offering

  Returns the hash code value for this collection.

### isShoppingCartLineCollectionEmpty

    boolean isShoppingCartLineCollectionEmpty()

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains no elements.

### shoppingCartLineCollectionIterator

    Iterator shoppingCartLineCollectionIterator()

  Deprecated See BEA Commerce product offering

  Returns an iterator over the elements in this collection.

### removeShoppingCartLine

    boolean removeShoppingCartLine(ShoppingCartLine element)

  Deprecated See BEA Commerce product offering

  Removes a single instance of the specified element from this collection, if it is present (optional operation).

### removeShoppingCartLineCollection

    boolean removeShoppingCartLineCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Removes all this collection's elements that are also contained in the specified collection (optional operation).

### retainShoppingCartLineCollection

    boolean retainShoppingCartLineCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Retains only the elements in this collection that are contained in the specified collection (optional operation).

### shoppingCartLineCollectionSize

    int shoppingCartLineCollectionSize()

  Deprecated See BEA Commerce product offering

  Returns the number of elements in this collection.

### addItemsFromShoppingCart

    void addItemsFromShoppingCart(ShoppingCart items)
                                  throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Add the ShoppingCartLines from the specified ShoppingCart to this ShoppingCart.

  Throws
    `InvalidArgumentException`

### addProductItem

    ShoppingCartLine addProductItem(ProductItem item,
                                    double quantity)
                                    throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Add an Item to the ShoppingCart. If the Item is already in the ShoppingCart, increase its quantity.

  Throws
    `InvalidArgumentException`

### setProductItemQuantity

    void setProductItemQuantity(ProductItem item,
                                double quantity)
                                throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Sets the Quantity of the ShoppingCartLine associated with this Item. A new ShoppingCartLine is created if the Item is not present. This differs from addItem in that this method explicitly sets the absolute Quantity of a ShoppingCartLine rather than incrementing the existing value .

  Throws
    `InvalidArgumentException`

### removeProductItem

    ProductItem removeProductItem(String productIdentifier)
                                  throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Remove the ShoppingCartLine associated with the Item specified.

  Parameters
    `productIdentifier,` - (See productItem.getKey( ).getIdentifier( ) )
  Throws
    `InvalidArgumentException`

### removeAllProductItems

    void removeAllProductItems()

  Deprecated See BEA Commerce product offering

  Removes all ShoppingCartLines. This resets the entire ShoppingCart.

### findShoppingCartLine

    ShoppingCartLine findShoppingCartLine(String productIdentifier)
                                          throws ItemNotInShoppingCartException,
                                                 InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Find the ShoppingCartLine associated with the specified Item. Throws an ItemNotInShoppingCartException if the Item cannot be found.

  Parameters
    `productIdentifier,` - (See productItem.getKey( ).getIdentifier( ) )
  Throws
    `ItemNotInShoppingCartException`
    `InvalidArgumentException`

### getNumberOfUnits

    double getNumberOfUnits()

  Deprecated See BEA Commerce product offering

  Count the total quantity of items by summing the quantity on each line.

### getCategoryQuantity

    double getCategoryQuantity(String categoryId)
                               throws RemoteException

  Deprecated See BEA Commerce product offering

  Count the number of products that belong to a category.

  Throws
    `RemoteException`

### createShoppingCartLine

    ShoppingCartLine createShoppingCartLine()

  Deprecated See BEA Commerce product offering

  Used internally by the ShoppingCart to create ShoppingCartLines. If ShoppingCart is used to manage a list of lines that extend ShoppingCartLine, this method should be overridden to return an instance of the appropiate sub class.

### addProductItem

    ShoppingCartLine addProductItem(ProductItem item,
                                    double quantity,
                                    Money unitMoney)
                                    throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Add an Item to the ShoppingCart. If the Item is already in the ShoppingCart, increase its quantity.

  Throws
    `InvalidArgumentException`

### isEmpty

    boolean isEmpty()

  Deprecated See BEA Commerce product offering

  Returns true if the shopping cart has no items

### getTotal

    Money getTotal(int totalType)
                   throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Gets the shopping cart total for the given total type. Valid values are one or more of :
  - LINE_UNIT_PRICE_TIMES_QUANTITY
  - LINE_SHIPPING
  - LINE_TAX
  - SHOPPING_CART_SHIPPING

  Parameters
    `total` - type
  Throws
    `InvalidArgumentException`

### getTotalPrice

    Money getTotalPrice()

  Deprecated See BEA Commerce product offering

  Gets the overal shopping cart total

### getOrderDiscountPresentations

    ArrayList getOrderDiscountPresentations()

  Deprecated See BEA Commerce product offering

  Gets the order level discount list

### setOrderDiscountPresentations

    void setOrderDiscountPresentations(ArrayList discountPresentations)

  Deprecated See BEA Commerce product offering

  sets the order level discount list

### getShippingDiscountPresentations

    ArrayList getShippingDiscountPresentations()

  Deprecated See BEA Commerce product offering

  Accessor method for the presentation of the discounts applied to the shipping, used by JSP pages for instance

### setShippingDiscountPresentations

    void setShippingDiscountPresentations(ArrayList discountPresentations)

  Deprecated See BEA Commerce product offering

  sets Order Discount Description

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved